Subject: Re: bug#14325: 24.3; cc-mode does not initialize correctly w/ -batch

From: Glenn Morris <[email-masked]>
Date: Tue, 30 Apr 2013 20:51:46 -0400

Minimal example:

./src/emacs -Q -batch --eval \
  '(progn (find-file "./src/emacs.c") (font-lock-fontify-buffer))'

Ie, a use of font-lock that does not first call font-lock-mode-hook.

This was already fixed once:
http://lists.gnu.org/archive/html/emacs-diffs/2012-02/msg00114.html

but reverted:
http://lists.gnu.org/archive/html/emacs-diffs/2012-02/msg00348.html

There was some kerfluffle about it:
http://lists.gnu.org/archive/html/emacs-devel/2012-02/msg00380.html

To me, c-standard-font-lock-fontify-region-function seems pointless in
Emacs, where font-lock is preloaded since 22.1.